<bugID>1127756<Summary>[e10s] The gcli highlight command does not work anymore</Summary><Description>Only in the latest nightly, seems to work fine in dev-edition (37).

Open any page, then open gcli (shift-F2), then enter:

&gt;   highlight &lt;selector for a node you know on the page&gt;

Here are the errors that appear in the console:

console.error: 
  TypeError: doc is undefined
console.error: 
  exports.createEmptyNodeList@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/util.js:544:1
Highlighter@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/host.js:30:17
onEnter@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/types/node.js:63:28
Inputter.prototype._checkAssignment@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:330:7
Inputter.prototype._processCaretChange@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:297:3
Inputter.prototype.textChanged@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:208:3
Inputter.prototype.handleKeyUp/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:483:7
resolve@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/deprecated-sync-thenables.js:40:40
then@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/deprecated-sync-thenables.js:20:43
then@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/deprecated-sync-thenables.js:58:9
Inputter.prototype.handleKeyUp@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:479:1
Inputter.prototype.onKeyUp@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:434:3

console.error: 
  TypeError: doc is undefined
console.error: 
  exports.createEmptyNodeList@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/util.js:544:1
exports.items&lt;.parse@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/types/node.js:212:25
Requisition.prototype.setAssignment@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/cli.js:1053:16
Requisition.prototype._assign/positionalDone&lt;/positionalDone&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/cli.js:1985:16
exports.promiseEach/&lt;/callNext@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/util.js:277:19
exports.promiseEach/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/util.js:281:5
Promise@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/promise.js:48:5
exports.promiseEach@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/util.js:258:1
Requisition.prototype._assign/positionalDone&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/cli.js:1943:1
resolve@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/deprecated-sync-thenables.js:40:40
then@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/deprecated-sync-thenables.js:20:43
then@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/deprecated-sync-thenables.js:58:9
Promise.prototype.then/&lt;/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/promise.js:67:17
setTimeout_timer@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/promise.js:98:5

console.error: 
  Message: TypeError: this.window is null
  Stack:
    CommandUtils.createEnvironment/&lt;.document@resource:///modules/devtools/DeveloperToolbar.jsm:224:9
exports.items&lt;.exec@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/commands/highlight.js:104:9
Requisition.prototype.exec/&lt;@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/cli.js:2098:16
createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:239:18
Task_spawn@resource://gre/modules/Task.jsm:164:12
exports.exec@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/util/host.js:72:10
Requisition.prototype.exec@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/cli.js:2097:14
Inputter.prototype._handleReturn@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:563:12
Inputter.prototype.handleKeyUp@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:462:1
Inputter.prototype.onKeyUp@resource://gre/modules/commonjs/toolkit/loader.js -&gt; resource://gre/modules/devtools/gcli/mozui/inputter.js:434:3</Description></bugID>